# coding: utf8
"""head.

Écrire une fonction 'copie_debut()' prenant en paramètre deux noms de fichier 
(le premier est le fichier à traiter et le second est le fichier résultat) 
et un entier 𝑛 (égal par défaut à 10) représentant un nombre de lignes. 
La fonction recopie les 𝑛 premières lignes du fichier à traiter dans le fichier 
résultat. 
Pour les tests, utiliser le fichier à traiter "data/indata_exo07_lievretortue.txt" 
(Le lièvre et la tortue, Jean de la Fontaine), le fichier résultat 
"../data/out_exo07_06_test.txt" et recopier les 7 premières lignes. 

fichier : s6.py
auteur : Bob
"""

# Définition de fonction ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
def copie_debut(nomsrc, nomdst, n=10):
    with (open(nomsrc, "r", encoding="utf8") as f_src, 
          open(nomdst, "w", encoding="utf8") as f_dst):
        for ligne in f_src:
            f_dst.write(ligne)
            n -= 1
            if n == 0 :
                break
    

# Programme principal ==========================================================
copie_debut("data/indata_exo07_lievretortue.txt", "data/out_exo07_06_test.txt", 7)

print("Terminé !")
